#!/usr/bin/env python
# $Id$
#
# Ganglia Kit kitinfo
#
# Copyright 2007 Platform Computing Inc.
#

kit = {'api': '0.2',
 'dependencies': [],
 'conflicts': [],
 'license': 'GPL',
 'name': 'ganglia',
 'description': '${KIT_DESCRIPTION}',
 'pkgname': 'kit-ganglia',
 'removable': True,
 'version': '${KIT_VERSION}',
 'release': '${KIT_RELEASE}',
 'arch': '${KIT_OS_ARCH}',
 'srctype': 'kit'
}
components = [
   {'os': [{'name': '${KIT_OS_NAME}',
            'major': '${KIT_OS_VERSION}',
            'minor': '*',
            'arch': '${KIT_OS_ARCH}'}],
    'comprelease': '${PKG_COMPONENT_GANGLIA_SERVER_RELEASE}',
    'compversion': '${PKG_COMPONENT_GANGLIA_SERVER_VERSION}',
    'name': '${PKG_COMPONENT_GANGLIA_SERVER_NAME}',
    'description': 'Ganglia Server',
    'ngtypes': ['installer'],
    'pkgname': '${PKG_COMPONENT_GANGLIA_SERVER_NAME}',
    'srctype': 'component'},
   {'os': [{'name': '${KIT_OS_NAME}',
            'major': '${KIT_OS_VERSION}',
            'minor': '*',
            'arch': '${KIT_OS_ARCH}'}],
    'comprelease': '${PKG_COMPONENT_GANGLIA_AGENT_RELEASE}',
    'compversion': '${PKG_COMPONENT_GANGLIA_AGENT_VERSION}',
    'name': '${PKG_COMPONENT_GANGLIA_AGENT_NAME}',
    'description': 'Ganglia Agent Node.',
    'ngtypes': ['installer', 'compute', 'other'],
    'pkgname': '${PKG_COMPONENT_GANGLIA_AGENT_NAME}',
    'srctype': 'component'}]
